summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLusheng Ji <lji@research.att.com>2018-07-16 23:32:55 -0400
committerLusheng Ji <lji@research.att.com>2018-07-16 23:33:03 -0400
commit443f08b3698a2227751ef28f1904012b0917b02d (patch)
treec66b302456b3d777488f55e66a309b3b46b3b4f7
parentf1455b0b438dfd7dba1ced24d8dc2f5fd58c12e0 (diff)
Update release tag
Issue-ID: DCAEGEN2-499 Change-Id: Ic4989104265b7bfcf1a3ad02a4abdd2a3f35ca27 Signed-off-by: Lusheng Ji <lji@research.att.com>
-rwxr-xr-xmvn-phase-script.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index bf0396b..bf8fe05 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -39,8 +39,15 @@ if [ -z "$SETTINGS_FILE" ]; then
fi
+set -e
+RELEASE_TAG=${MVN_RELEASE_TAG:-R3}
+if [ "$RELEASE_TAG" != "R1" ]; then
+ RELEASE_TAGGED_DIR="${RELEASE_TAG}/"
+else
+ RELEASE_TAGGED_DIR="releases"
+fi
if ! wget -O ${PROJECT_ROOT}/mvn-phase-lib.sh \
- "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/R2/scripts/mvn-phase-lib.sh; then
+ "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/${RELEASE_TAGGED_DIR}scripts/mvn-phase-lib.sh; then
echo "Fail to download mvn-phase-lib.sh"
exit 1
fi